
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 29/07/22
 */
public class EoscInteroperabilityFramework implements Serializable {
	@JsonSchema(description = "EOSC-IF label")
	private String label;

	@JsonSchema(
		description = "EOSC-IF local code. Later on it could be populated with a PID (e.g. DOI), but for the time being we stick to a more loose definition.")
	private String code;

	@JsonSchema(description = "EOSC-IF url to the guidelines")
	private String url;

	@JsonSchema(description = "EOSC-IF semantic relation (e.g. compliesWith)")
	private String semanticRelation;

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getSemanticRelation() {
		return semanticRelation;
	}

	public void setSemanticRelation(String semanticRelation) {
		this.semanticRelation = semanticRelation;
	}

	public static EoscInteroperabilityFramework newInstance(String code, String label, String url,
		String semanticRelation) {
		EoscInteroperabilityFramework eif = new EoscInteroperabilityFramework();
		eif.label = label;
		eif.code = code;
		eif.url = url;
		eif.semanticRelation = semanticRelation;
		return eif;
	}
}
