
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 26/01/23
 */
public class FunderShort implements Serializable {

	@JsonSchema(description = "The short name of the funder (EC)")
	private String shortName;

	@JsonSchema(description = "The name of the funder (European Commission)")
	private String name;

	@JsonSchema(
		description = "Geographical jurisdiction (e.g. for European Commission is EU, for Croatian Science Foundation is HR)")
	private String jurisdiction;

	public String getJurisdiction() {
		return jurisdiction;
	}

	public void setJurisdiction(String jurisdiction) {
		this.jurisdiction = jurisdiction;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@JsonSchema(description = "Stream of funding (e.g. for European Commission can be H2020 or FP7)")
	private String fundingStream;

	public String getFundingStream() {
		return fundingStream;
	}

	public void setFundingStream(String fundingStream) {
		this.fundingStream = fundingStream;
	}
}
