
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 26/01/23
 */
public class ProjectSummary implements Serializable {
	@JsonSchema(description = "The OpenAIRE id for the project")
	protected String id;// OpenAIRE id

	@JsonSchema(description = "The grant agreement number")
	protected String code;

	@JsonSchema(description = "The acronym of the project")
	protected String acronym;

	protected String title;

	@JsonSchema(description = "Information about the funder funding the project")
	private FunderShort funder;

	private Provenance provenance;

	private Validated validated;

	public void setValidated(Validated validated) {
		this.validated = validated;
	}

	public Validated getValidated() {
		return validated;
	}

	public Provenance getProvenance() {
		return provenance;
	}

	public void setProvenance(Provenance provenance) {
		this.provenance = provenance;
	}

	public FunderShort getFunder() {
		return funder;
	}

	public void setFunder(FunderShort funders) {
		this.funder = funders;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getAcronym() {
		return acronym;
	}

	public void setAcronym(String acronym) {
		this.acronym = acronym;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public static ProjectSummary newInstance(String id, String code, String acronym, String title, FunderShort funder) {
		ProjectSummary project = new ProjectSummary();
		project.setAcronym(acronym);
		project.setCode(code);
		project.setFunder(funder);
		project.setId(id);
		project.setTitle(title);
		return project;
	}

}
