//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package eu.dnetlib.dhp.oa.graph.dump.eosc;

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.nio.charset.StandardCharsets;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FSDataOutputStream;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.fasterxml.jackson.databind.ObjectMapper;

import eu.dnetlib.dhp.common.DbClient;
import eu.dnetlib.dhp.schema.oaf.utils.OafMapperUtils;

public class ReadDatasourceMasterDuplicateFromDB {
	private static final Logger log = LoggerFactory.getLogger(ReadDatasourceMasterDuplicateFromDB.class);
	private static final ObjectMapper OBJECT_MAPPER = new ObjectMapper();
	private static final String QUERY = "SELECT distinct dd.id as masterId, d.officialname as masterName, dd.duplicate as duplicateId FROM dsm_dedup_services dd join dsm_services d on (dd.id = d.id);";

	public ReadDatasourceMasterDuplicateFromDB() {
	}

	public static int execute(String dbUrl, String dbUser, String dbPassword, String hdfsPath, String hdfsNameNode)
		throws IOException {
		int count = 0;
		DbClient dbClient = new DbClient(dbUrl, dbUser, dbPassword);
		Throwable var7 = null;

		try {
			Configuration conf = new Configuration();
			conf.set("fs.defaultFS", hdfsNameNode);
			FileSystem fileSystem = FileSystem.get(conf);
			FSDataOutputStream fos = fileSystem.create(new Path(hdfsPath));
			log
				.info(
					"running query: {}",
					"SELECT distinct dd.id as masterId, d.officialname as masterName, dd.duplicate as duplicateId FROM dsm_dedup_services dd join dsm_services d on (dd.id = d.id);");
			log.info("storing results in: {}", hdfsPath);
			BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(fos, StandardCharsets.UTF_8));
			Throwable var12 = null;

			try {
				dbClient
					.processResults(
						"SELECT distinct dd.id as masterId, d.officialname as masterName, dd.duplicate as duplicateId FROM dsm_dedup_services dd join dsm_services d on (dd.id = d.id);",
						(rs) -> {
							writeMap(datasourceMasterMap(rs), writer);
						});
				++count;
			} catch (Throwable var35) {
				var12 = var35;
				throw var35;
			} finally {
				if (writer != null) {
					if (var12 != null) {
						try {
							writer.close();
						} catch (Throwable var34) {
							var12.addSuppressed(var34);
						}
					} else {
						writer.close();
					}
				}

			}
		} catch (Throwable var37) {
			var7 = var37;
			throw var37;
		} finally {
			if (dbClient != null) {
				if (var7 != null) {
					try {
						dbClient.close();
					} catch (Throwable var33) {
						var7.addSuppressed(var33);
					}
				} else {
					dbClient.close();
				}
			}

		}

		return count;
	}

	private static MasterDuplicate datasourceMasterMap(ResultSet rs) {
		try {
			MasterDuplicate md = new MasterDuplicate();
			String duplicateId = rs.getString("duplicateId");
			String masterId = rs.getString("masterId");
			String masterName = rs.getString("masterName");
			if (duplicateId.startsWith("eosc")) {
				md.setEoscId(duplicateId.substring(duplicateId.lastIndexOf("::") + 2));
				md.setGraphId(OafMapperUtils.createOpenaireId(10, masterId, true));
				md.setGraphName(masterName);
				return md;
			}
			return null;
		} catch (SQLException var5) {
			throw new RuntimeException(var5);
		}
	}

	private static void writeMap(MasterDuplicate dm, BufferedWriter writer) {
		if (dm == null)
			return;
		try {
			writer.write(OBJECT_MAPPER.writeValueAsString(dm));
			writer.newLine();
		} catch (IOException var3) {
			throw new RuntimeException(var3);
		}
	}
}
